<?php
defined('_JEXEC') or die;

class PlgJshoppingCheckoutPayanywayinvoice extends JPlugin
{
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
	}

	public function onBeforeDisplayCheckoutFinish(&$text)
	{
		$session = JFactory::getSession();
		$order_id = $session->get('jshop_end_order_id');
        if ($order_id){
            $order = JTable::getInstance('order', 'jshop');
            $order->load($order_id);
            $pm_method = JTable::getInstance('paymentMethod', 'jshop');
            $payment_method_id = $order->payment_method_id;
            $pm_method->load($payment_method_id);
	        $pmconfigs = $pm_method->getConfigs();

	        if ($pmconfigs["invoice"] === "1")
	        {
		        if (stripos($pm_method->payment_class, 'pm_payanyway') === 0) {
			        $invoice = unserialize($order->order_custom_info);

			        ob_start();
			        include __DIR__ . '/tmpl/default.php';
			        $text = ob_get_clean();
		        }
	        }
        }

		return;
	}

}
